This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104343 - [RFE] please update to 3.1.6
[RFE] please update to 3.1.6
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: ncftp (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 17:03 EDT by Michael Lee Yohe
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 14:47:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2003-09-12 17:03:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030722
Galeon/1.3.8
    *

      Fixed an important bug that was causing socket leaks on Windows.
    *

      Added support for GCC 3.4 precompiled headers.
    *

      Aborting transfers is now more robust.
    *

      Re-fixed a problem where high ASCII characters at the NcFTP prompt could
cause it to exit.
    *

      Bug fixed where timeouts may not have worked.
    *

      To the improved ASCII handling from 3.1.5, added another case where we
workaround files sent by a buggy FTP server implementation whose files have
CR+CR+LF end-of-lines.
    *

      More fixes related to the above, as well as few other fixes from Martin
Storsj�.
    *

      Bug fixed where an upload filename could have been limited to 127 characters.
    *

      Firewall exception hosts are no longer case sensitive.
    *

      Bug fixed in ncftpput's "-c" option so it works with the "-f" option
(Thanks, ITO Tsuyoshi).
    *

      Ncftpbatch will now try to temporarily skip a failing host in the current
run (Thanks, Eric Engstrom).
    *

      Bug fixed where a several minute delay would be incurred if you tried to
transfer a file that did not exist.
    *

      For the malicious server problem that was addressed in 3.1.5, enhanced the
fix for better compatibility with Serv-U and WS_FTP servers.

Description of problem:
NcFTP 3.1.6 has been released.  Here is the summary of the changes (very nice):

    *

      Fixed an important bug that was causing socket leaks on Windows.
    *

      Added support for GCC 3.4 precompiled headers.
    *

      Aborting transfers is now more robust.
    *

      Re-fixed a problem where high ASCII characters at the NcFTP prompt could
cause it to exit.
    *

      Bug fixed where timeouts may not have worked.
    *

      To the improved ASCII handling from 3.1.5, added another case where we
workaround files sent by a buggy FTP server implementation whose files have
CR+CR+LF end-of-lines.
    *

      More fixes related to the above, as well as few other fixes from Martin
Storsj�.
    *

      Bug fixed where an upload filename could have been limited to 127 characters.
    *

      Firewall exception hosts are no longer case sensitive.
    *

      Bug fixed in ncftpput's "-c" option so it works with the "-f" option
(Thanks, ITO Tsuyoshi).
    *

      Ncftpbatch will now try to temporarily skip a failing host in the current
run (Thanks, Eric Engstrom).
    *

      Bug fixed where a several minute delay would be incurred if you tried to
transfer a file that did not exist.
    *

      For the malicious server problem that was addressed in 3.1.5, enhanced the
fix for better compatibility with Serv-U and WS_FTP servers.


Version-Release number of selected component (if applicable):
ncftp-3.1.5-7

How reproducible:
Always

Steps to Reproduce:
1. see description
2.
3.
    

Actual Results:  see description

Expected Results:  see description

Additional info:
Comment 1 Florian La Roche 2003-10-03 14:47:03 EDT
New version should be in rawhide shortly.

cu,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.